Bug 755259

Summary: [abrt] gnome-terminal-3.2.1-2.fc16: _XEnq: Process /usr/bin/gnome-terminal was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Flos Lonicerae <lonicerae>
Component: gnome-terminalAssignee: Matthias Clasen <mclasen>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: behdad
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:c32ddad37ece9829935111f8c3c9e6ee6d3e33fa
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-30 11:10:25 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: event_log
none
File: gconf_subtree
none
File: smolt_data
none
File: maps none

Description Flos Lonicerae 2011-11-20 00:46:07 EST
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        gnome-terminal
comment:        suddenly shut down my window
crash_function: _XEnq
executable:     /usr/bin/gnome-terminal
kernel:         3.1.1-2.fc16.i686
reason:         Process /usr/bin/gnome-terminal was killed by signal 11 (SIGSEGV)
time:           Sun Nov 20 13:44:28 2011
uid:            1000
username:       shine
xsession_errors: 

event_log:      Binary file, 1375 bytes
gconf_subtree:  Binary file, 2564 bytes
maps:           Text file, 24213 bytes
smolt_data:     Binary file, 733 bytes

backtrace:
:[New LWP 1680]
:[New LWP 1682]
:[New LWP 1683]
:[New LWP 1687]
:[Thread debugging using libthread_db enabled]
:Using host libthread_db library "/lib/libthread_db.so.1".
:Core was generated by `gnome-terminal'.
:Program terminated with signal 11, Segmentation fault.
:#0  _XEnq (dpy=0x9aa7418, event=0x9db5a40) at XlibInt.c:875
:875	XlibInt.c: No such file or directory.
:	in XlibInt.c
:
:Thread 4 (Thread 0xafa0db40 (LWP 1687)):
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
:No locals.
:#1  0x469cf84b in read () at ../sysdeps/unix/syscall-template.S:82
:No locals.
:#2  0x46ab085b in read (__nbytes=128, __buf=0xafa0d0bc, __fd=<optimized out>) at /usr/include/bits/unistd.h:45
:No locals.
:#3  unix_signal_helper_thread (data=0x0) at gmain.c:4551
:        i = <optimized out>
:        bytes_read = <optimized out>
:        b = '\000' <repeats 64 times>"\353, \327\234F", '\000' <repeats 28 times>, "_\254\234F", '\000' <repeats 12 times>"\364, o\273F(\006\315\t8\342\b\b\340\341\b\b"
:        sigterm_received = 0
:        sigint_received = 0
:        sighup_received = 0
:#4  0x46adbed5 in g_thread_create_proxy (data=0x9cd0628) at gthread.c:1962
:        thread = 0x9cd0628
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#5  0x469c8cd3 in start_thread (arg=0xafa0db40) at pthread_create.c:309
:        __res = <optimized out>
:        pd = 0xafa0db40
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1184735220, 0, 4001536, -1348414808, 1650008628, 451143654}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:        __PRETTY_FUNCTION__ = "start_thread"
:#6  0x469004de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:
:Thread 3 (Thread 0xb5fffb40 (LWP 1683)):
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
:No locals.
:#1  0x468f5c50 in __GI___poll (fds=0x9b6a180, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = -516
:        result = <optimized out>
:#2  0x46ac37cc in g_poll (fds=0x9b6a180, nfds=1, timeout=-1) at gpoll.c:132
:No locals.
:#3  0x46ab4c06 in g_main_context_poll (n_fds=1, fds=0x9b6a180, priority=<optimized out>, timeout=<optimized out>, context=0x9b667a0) at gmain.c:3386
:        poll_func = 0x46ac37a0 <g_poll>
:#4  g_main_context_iterate (context=0x9b667a0, block=1185691552, dispatch=1, self=0x9b66830) at gmain.c:3068
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 1
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#5  0x46ab5337 in g_main_loop_run (loop=0x9b6a170) at gmain.c:3281
:        self = 0x9b66830
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#6  0x00e42235 in dconf_context_thread (data=0x9b667a0) at dconfcontext.c:11
:        context = 0x9b667a0
:        loop = <optimized out>
:        __PRETTY_FUNCTION__ = "dconf_context_thread"
:#7  0x46adbed5 in g_thread_create_proxy (data=0x9b66830) at gthread.c:1962
:        thread = 0x9b66830
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#8  0x469c8cd3 in start_thread (arg=0xb5fffb40) at pthread_create.c:309
:        __res = <optimized out>
:        pd = 0xb5fffb40
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1184735220, 0, 4001536, -1241517400, -602332672, 451143654}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:        __PRETTY_FUNCTION__ = "start_thread"
:#9  0x469004de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:
:Thread 2 (Thread 0xb69ffb40 (LWP 1682)):
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
:No locals.
:#1  0x468f5c50 in __GI___poll (fds=0xb6003d28, nfds=5, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = -516
:        result = <optimized out>
:#2  0x46ac37cc in g_poll (fds=0xb6003d28, nfds=5, timeout=-1) at gpoll.c:132
:No locals.
:#3  0x46ab4c06 in g_main_context_poll (n_fds=5, fds=0xb6003d28, priority=<optimized out>, timeout=<optimized out>, context=0xb6a06288) at gmain.c:3386
:        poll_func = 0x46ac37a0 <g_poll>
:#4  g_main_context_iterate (context=0xb6a06288, block=1185691552, dispatch=1, self=0xb6a06318) at gmain.c:3068
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 5
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#5  0x46ab5337 in g_main_loop_run (loop=0xb6a06278) at gmain.c:3281
:        self = 0xb6a06318
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#6  0x46cdc18b in gdbus_shared_thread_func (user_data=0xb6a075e8) at gdbusprivate.c:276
:        data = 0xb6a075e8
:#7  0x46adbed5 in g_thread_create_proxy (data=0xb6a06318) at gthread.c:1962
:        thread = 0xb6a06318
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#8  0x469c8cd3 in start_thread (arg=0xb69ffb40) at pthread_create.c:309
:        __res = <optimized out>
:        pd = 0xb69ffb40
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1184735220, 0, 4001536, -1231031640, 471409158, 451143654}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:        __PRETTY_FUNCTION__ = "start_thread"
:#9  0x469004de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:
:Thread 1 (Thread 0xb77fb880 (LWP 1680)):
:#0  _XEnq (dpy=0x9aa7418, event=0x9db5a40) at XlibInt.c:875
:        qelt = 0x9d11868
:        type = <optimized out>
:        extension = <optimized out>
:#1  0x46de7cec in handle_response (dpy=0x9aa7418, response=0x9db5a40, in_XReply=0) at xcb_io.c:280
:        async = <optimized out>
:        next = <optimized out>
:#2  0x46de87a8 in _XEventsQueued (dpy=0x9aa7418, mode=2) at xcb_io.c:305
:        response = <optimized out>
:#3  0x46dd9128 in XPending (dpy=0x9aa7418) at Pending.c:55
:        ret_val = <optimized out>
:#4  0x479db3c9 in gdk_check_xpending (display=<optimized out>) at gdkeventsource.c:268
:No locals.
:#5  gdk_event_source_check (source=0x9abde38) at gdkeventsource.c:299
:        event_source = 0x9abde38
:        retval = <optimized out>
:#6  0x46ab427c in g_main_context_check (context=0x9abdf40, max_priority=2147483647, fds=0x9bb5f20, n_fds=8) at gmain.c:2943
:        result = <optimized out>
:        check = 0x479db360 <gdk_event_source_check>
:        source = 0x9abde38
:        pollrec = <optimized out>
:        n_ready = <optimized out>
:        i = <optimized out>
:#7  0x46ab4c60 in g_main_context_iterate (context=0x9abdf40, block=1185691552, dispatch=1, self=0x9a87900) at gmain.c:3070
:        max_priority = 2147483647
:        timeout = 600
:        some_ready = <optimized out>
:        nfds = 8
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#8  0x46ab5337 in g_main_loop_run (loop=0x9b5f378) at gmain.c:3281
:        self = 0x9a87900
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#9  0x47581065 in gtk_main () at gtkmain.c:1362
:        loop = 0x9b5f378
:#10 0x080563e5 in main (argc=1, argv=0xbfb7c364) at terminal.c:594
:        data = 0x9a8c658
:        owner_id = 1
:        i = <optimized out>
:        argv_copy = <optimized out>
:        argc_copy = 1
:        startup_id = 0x9a8c800 ""
:        display_name = <optimized out>
:        home_dir = <optimized out>
:        display = <optimized out>
:        options = 0x9a8c800
:        error = 0x0
:        working_directory = <optimized out>
:        ret = 0
:From        To          Syms Read   Shared Object Library
:0x480715c0  0x480a6058  Yes         /usr/lib/libvte2_90.so.9
:0x474791e0  0x4773e628  Yes         /usr/lib/libgtk-3.so.0
:0x479a8f90  0x479efc58  Yes         /usr/lib/libgdk-3.so.0
:0x47243670  0x47250f58  Yes         /usr/lib/libatk-1.0.so.0
:0x46c3aee0  0x46d05c48  Yes         /lib/libgio-2.0.so.0
:0x4720b530  0x47228e68  Yes         /usr/lib/libpangoft2-1.0.so.0
:0x473416d0  0x47346e58  Yes         /usr/lib/libpangocairo-1.0.so.0
:0x471b1990  0x471c7868  Yes         /usr/lib/libgdk_pixbuf-2.0.so.0
:0x47a1aa90  0x47a1bca8  Yes         /usr/lib/libcairo-gobject.so.2
:0x47364190  0x473ebca8  Yes         /usr/lib/libcairo.so.2
:0x4726a210  0x4728c8a8  Yes         /usr/lib/libpango-1.0.so.0
:0x46f7d570  0x46fea208  Yes         /usr/lib/libfreetype.so.6
:0x47019010  0x4703463c  Yes         /usr/lib/libfontconfig.so.1
:0x46bca2b0  0x46bfd1f8  Yes         /lib/libgobject-2.0.so.0
:0x46c13bf0  0x46c14d78  Yes         /lib/libgmodule-2.0.so.0
:0x46bb2ec0  0x46bb4608  Yes         /lib/libgthread-2.0.so.0
:0x469e0920  0x469e4a98  Yes         /lib/librt.so.1
:0x48174620  0x4818dde8  Yes         /usr/lib/libgconf-2.so.4
:0x46a840f0  0x46b229b8  Yes         /lib/libglib-2.0.so.0
:0x46dc1310  0x46e51fbc  Yes         /usr/lib/libX11.so.6
:0x48163410  0x48167d5c  Yes         /usr/lib/libSM.so.6
:0x4814a4e0  0x4815937c  Yes         /usr/lib/libICE.so.6
:0x46a31f30  0x46a48c48  Yes         /lib/libgcc_s.so.1
:0x469c6680  0x469d26e8  Yes         /lib/libpthread.so.0
:0x46824e90  0x4695bd44  Yes         /lib/libc.so.6
:0x482d2ec0  0x482ebbf8  Yes         /lib/libncurses.so.5
:0x48048d80  0x48053238  Yes         /lib/libtinfo.so.5
:0x46a07420  0x46a223a8  Yes         /lib/libm.so.6
:0x47236ed0  0x4723964c  Yes         /usr/lib/libXfixes.so.3
:0x46f396b0  0x46f4400c  Yes         /usr/lib/libXext.so.6
:0x4734d780  0x4734e24c  Yes         /usr/lib/libXinerama.so.1
:0x4719c7a0  0x471a69c8  Yes         /usr/lib/libXi.so.6
:0x47417150  0x4741bccc  Yes         /usr/lib/libXrandr.so.2
:0x47333e70  0x4733935c  Yes         /usr/lib/libXcursor.so.1
:0x47357880  0x4735840c  Yes         /usr/lib/libXcomposite.so.1
:0x473527c0  0x473531fc  Yes         /usr/lib/libXdamage.so.1
:0x46bbb020  0x46bbe678  Yes         /usr/lib/libffi.so.5
:0x469bba60  0x469bca88  Yes         /lib/libdl.so.2
:0x469ec670  0x469f9948  Yes         /lib/libz.so.1
:0x46a536e0  0x46a65468  Yes         /lib/libselinux.so.1
:0x46b97670  0x46ba8098  Yes         /lib/libresolv.so.2
:0x46f4d740  0x46f6a458  Yes         /usr/lib/libpng12.so.0
:0x472b1450  0x4731e088  Yes         /usr/lib/libpixman-1.so.0
:0x471fb300  0x472014fc  Yes         /usr/lib/libXrender.so.1
:0x46f0f040  0x46f28c7c  Yes         /lib/libexpat.so.1
:0x467e9850  0x46802edf  Yes         /lib/ld-linux.so.2
:0x471da510  0x471ee46c  Yes         /usr/lib/libdbus-glib-1.so.2
:0x46d666a0  0x46d95f28  Yes         /lib/libdbus-1.so.3
:0x46eeeec0  0x46efe73c  Yes         /usr/lib/libxcb.so.1
:0x47421010  0x47422cb8  Yes         /lib/libuuid.so.1
:0x46f08a00  0x46f0988c  Yes         /usr/lib/libXau.so.6
:0x0029ba10  0x002a3158  Yes         /lib/libnss_files.so.2
:0x0065a530  0x00676618  Yes         /usr/lib/gio/modules/libgvfsdbus.so
:0x00116bc0  0x00122198  Yes         /usr/lib/libgvfscommon.so.0
:0x0012a8d0  0x0014ace8  Yes         /usr/lib/libbluray.so.0
:0x47cd74f0  0x47ce0e48  Yes         /lib/libudev.so.0
:0x4828fa20  0x48290448  Yes         /lib/libutil.so.1
:0x47066c80  0x47151bec  Yes         /usr/lib/libxml2.so.2
:0x00d25280  0x00d27ea8  Yes         /usr/lib/gtk-3.0/3.0.0/theming-engines/libadwaita.so
:0x48e0b7f0  0x48e33fd8  Yes         /usr/lib/librsvg-2.so.2
:0x4842e230  0x4845060c  Yes         /usr/lib/libcroco-0.6.so.3
:0x00d20830  0x00d20cd8  Yes         /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
:0x0091f0f0  0x0091fa78  Yes         /usr/lib/gtk-3.0/modules/libpk-gtk-module.so
:0x00506700  0x005088b8  Yes         /usr/lib/gtk-3.0/modules/libcanberra-gtk-module.so
:0x4850f530  0x48510b18  Yes         /usr/lib/libcanberra-gtk3.so.0
:0x484a7410  0x484b14f8  Yes         /usr/lib/libcanberra.so.0
:0x4847e720  0x48483afc  Yes         /usr/lib/libvorbisfile.so.3
:0x481a0770  0x481b6c5c  Yes         /usr/lib/libvorbis.so.0
:0x4813f320  0x4814206c  Yes         /usr/lib/libogg.so.0
:0x4846a9b0  0x484753ac  Yes         /usr/lib/libtdb.so.1
:0x481cca20  0x481d1508  Yes         /usr/lib/libltdl.so.7
:0x47a678f0  0x47a6ca08  Yes         /lib/libcrypt.so.1
:0x47aa29d0  0x47ad5a88  Yes         /lib/libfreebl3.so
:0x00e3fdc0  0x00e437e8  Yes         /usr/lib/gio/modules/libdconfsettings.so
:0x00be13b0  0x00be3958  Yes         /usr/lib/gconv/GB18030.so
:0x004193b0  0x0041cd38  Yes         /usr/lib/gconv/GBK.so
:0x00ce45a0  0x00ce6e68  Yes         /usr/lib/gconv/EUC-CN.so
:0x00f10530  0x00f10648  Yes         /usr/lib/gconv/libGB.so
:0x002f0030  0x002f2798  Yes         /usr/lib/gtk-3.0/3.0.0/immodules/im-ibus.so
:0x0015ea70  0x0017f538  Yes         /usr/lib/libibus-1.0.so.0
:$1 = 0x0
:$2 = 0x0
:eax            0x9db5a60	165370464
:ecx            0x0	0
:edx            0x9db5a40	165370432
:ebx            0x46ee34a8	1190016168
:esp            0xbfb7bfd0	0xbfb7bfd0
:ebp            0x9db5a40	0x9db5a40
:esi            0x9aa7418	162165784
:edi            0xd11868	13703272
:eip            0x46deb0c5	0x46deb0c5 <_XEnq+53>
:eflags         0x10202	[ IF RF ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function _XEnq:
:   0x46deb090 <+0>:	lea    -0x2c(%esp),%esp
:   0x46deb094 <+4>:	mov    %esi,0x20(%esp)
:   0x46deb098 <+8>:	mov    0x30(%esp),%esi
:   0x46deb09c <+12>:	mov    %ebx,0x1c(%esp)
:   0x46deb0a0 <+16>:	mov    %ebp,0x28(%esp)
:   0x46deb0a4 <+20>:	mov    %edi,0x24(%esp)
:   0x46deb0a8 <+24>:	mov    0x34(%esp),%ebp
:   0x46deb0ac <+28>:	call   0x46dc1859 <__i686.get_pc_thunk.bx>
:   0x46deb0b1 <+33>:	add    $0xf83f7,%ebx
:   0x46deb0b7 <+39>:	mov    0x504(%esi),%edi
:   0x46deb0bd <+45>:	test   %edi,%edi
:   0x46deb0bf <+47>:	je     0x46deb188 <_XEnq+248>
:=> 0x46deb0c5 <+53>:	mov    (%edi),%eax
:   0x46deb0c7 <+55>:	mov    %eax,0x504(%esi)
:   0x46deb0cd <+61>:	movl   $0x0,(%edi)
:   0x46deb0d3 <+67>:	movzbl 0x0(%ebp),%eax
:   0x46deb0d7 <+71>:	and    $0x7f,%eax
:   0x46deb0da <+74>:	cmp    $0x23,%eax
:   0x46deb0dd <+77>:	movzbl 0x1(%ebp),%edx
:   0x46deb0e1 <+81>:	mov    %eax,0x4(%edi)
:   0x46deb0e4 <+84>:	je     0x46deb148 <_XEnq+184>
:   0x46deb0e6 <+86>:	lea    0x4(%edi),%edx
:   0x46deb0e9 <+89>:	mov    %ebp,0x8(%esp)
:   0x46deb0ed <+93>:	mov    %edx,0x4(%esp)
:   0x46deb0f1 <+97>:	mov    %esi,(%esp)
:   0x46deb0f4 <+100>:	call   *0xc0(%esi,%eax,4)
:   0x46deb0fb <+107>:	test   %eax,%eax
:   0x46deb0fd <+109>:	je     0x46deb138 <_XEnq+168>
:   0x46deb0ff <+111>:	mov    0x508(%esi),%eax
:   0x46deb105 <+117>:	mov    %eax,0x64(%edi)
:   0x46deb108 <+120>:	add    $0x1,%eax
:   0x46deb10b <+123>:	mov    %eax,0x508(%esi)
:   0x46deb111 <+129>:	mov    0x54(%esi),%eax
:   0x46deb114 <+132>:	test   %eax,%eax
:   0x46deb116 <+134>:	je     0x46deb180 <_XEnq+240>
:   0x46deb118 <+136>:	mov    %edi,(%eax)
:   0x46deb11a <+138>:	mov    %edi,0x54(%esi)
:   0x46deb11d <+141>:	addl   $0x1,0x58(%esi)
:   0x46deb121 <+145>:	mov    0x1c(%esp),%ebx
:   0x46deb125 <+149>:	mov    0x20(%esp),%esi
:   0x46deb129 <+153>:	mov    0x24(%esp),%edi
:   0x46deb12d <+157>:	mov    0x28(%esp),%ebp
:   0x46deb131 <+161>:	lea    0x2c(%esp),%esp
:   0x46deb135 <+165>:	ret    
:   0x46deb136 <+166>:	xchg   %ax,%ax
:   0x46deb138 <+168>:	mov    0x504(%esi),%eax
:   0x46deb13e <+174>:	mov    %eax,(%edi)
:   0x46deb140 <+176>:	mov    %edi,0x504(%esi)
:   0x46deb146 <+182>:	jmp    0x46deb121 <_XEnq+145>
:   0x46deb148 <+184>:	and    $0x7f,%edx
:   0x46deb14b <+187>:	mov    0x540(%esi,%edx,4),%edx
:   0x46deb152 <+194>:	test   %edx,%edx
:   0x46deb154 <+196>:	je     0x46deb0e6 <_XEnq+86>
:   0x46deb156 <+198>:	lea    0x4(%edi),%eax
:   0x46deb159 <+201>:	mov    %ebp,0x8(%esp)
:   0x46deb15d <+205>:	mov    %eax,0x4(%esp)
:   0x46deb161 <+209>:	mov    %esi,(%esp)
:   0x46deb164 <+212>:	call   *%edx
:   0x46deb166 <+214>:	mov    0x53c(%esi),%eax
:   0x46deb16c <+220>:	add    $0x1,%eax
:   0x46deb16f <+223>:	mov    %eax,0x53c(%esi)
:   0x46deb175 <+229>:	mov    %eax,0x1c(%edi)
:   0x46deb178 <+232>:	jmp    0x46deb0ff <_XEnq+111>
:   0x46deb17a <+234>:	lea    0x0(%esi),%esi
:   0x46deb180 <+240>:	mov    %edi,0x50(%esi)
:   0x46deb183 <+243>:	jmp    0x46deb11a <_XEnq+138>
:   0x46deb185 <+245>:	lea    0x0(%esi),%esi
:   0x46deb188 <+248>:	movl   $0x68,(%esp)
:   0x46deb18f <+255>:	call   0x46dc059c <malloc@plt>
:   0x46deb194 <+260>:	test   %eax,%eax
:   0x46deb196 <+262>:	mov    %eax,%edi
:   0x46deb198 <+264>:	jne    0x46deb0cd <_XEnq+61>
:   0x46deb19e <+270>:	call   0x46dbeaac <__errno_location@plt>
:   0x46deb1a3 <+275>:	movl   $0xc,(%eax)
:   0x46deb1a9 <+281>:	mov    %esi,(%esp)
:   0x46deb1ac <+284>:	call   0x46dbf80c <_XIOError@plt>
:   0x46deb1b1 <+289>:	jmp    0x46deb0cd <_XEnq+61>
:End of assembler dump.

build_ids:
:92592bfbfb73769719bba16d41e1f2defc2ae557
:9d63dc2ec7319f8f859631fe02b108b896da5450
:1df53725e371c75ee897f32d82ec0497ecbb8599
:e86c829bf8553d6b593dbd8c4df0957268dc8328
:88eb1cabfe143e1a4f2a7ed8614c540945c22b78
:9e5e39444487f8c4ba7f8ccf07e3fba85870652d
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:aa23eac321b3cc6165d09888f642c25141fc5adc
:647951954dab9eadcf521b97c5f9d7566b1e79c8
:4d302bd37729e5a3ea3dda3456ae017cd5c4cf85
:a031ec247ebfa2c35d637f0c427474d7a0e43904
:641296f1c3020865058939e8629a44acffcc3339
:266c32851662b703d539abc6028b938a718c42f6
:92b99890f5d3dd6816e1a8125e9de9ac08931ac7
:11e752a8e19a41ab95fc6d418fcc0a706fefcf27
:97845cb2720bca8939ad32f1cab67f27a2c1921f
:5cd0f4c765c0e8ddbacdaf009616909639fbf804
:b2d5c5f02b6e6eb34dc593699c0b0bf516280159
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:c2f2613a423a729973df6b622fd822aa505ab95a
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:bdbcb7ad0ae16806e9002af3c6d1ec65353108a0
:fb5857630898b86982a33a2148c700026700dd01
:42859023e4ec83a16446984b1e0c7510a38731c4
:8ee52cc9ee5aa155cef2475d96b2f6415515e123
:aa9a4df5fa16320332ea125a458d7c569194d323
:798697a352bae4178953ba502fb04f33dd0ed987
:65fddfa6f9bffd05b8f7be8019289d38ab641929
:eff0bea7fcdeae774d6e13c220ceda926377d0d6
:aa38e16b33d9a41209f6e376ce5e168aa0eac3c5
:08c447ea59d05c315e5187f87f8f7d3c31f204c2
:7523f9012d700a579c80e83f54445e7bfceb4eca
:40daa8e4d76cf1e5ac5ea0f7a8fd42336f0eff53
:c9bedc7ec229b2a2e2ec1b6a6581b415c98bc4c1
:5bfb5514afe40f504eaee43c6b73147644483503
:583facf695e1606021a23d426db82fc6f55183e8
:20e55e40b2f98606fcb0891424b09eb7e723ce8f
:fb138a019cd93aa6212be49f31654f7bcb474640
:e508d97ada97f7e95f0b671f497fe0f779a25d58
:b4f8b453c124f1bcf32ee8273b7e7f149202ff68
:cc9b559762994147c37d0cac8a3512e4b0e94e06
:ad5c2ac932343a8571a6dc36cdf1d4812ad7c1a3
:3b5d160bc67e95593211fd623fc34ee2ca23381a
:ca369632853d336f003e5832e915ef1ed17030e7
:15bab279752ad8e30f901abae77bcb1ed1f38977
:bc37fc5961e545b40f2c3c486ab0de6531f3c08e
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:dede97d8c1939b61d792e2b0579be7b1dc79a129
:da5ef571b504180ce553a1ca8b8ae1d32077ae60
:23d1086014ed5544b3df4cee1f95694032252322
:12da4d1dc9764d3990ab6a2def5a88c4687d4550
:a1f98e6d83f111e5785654e1e9aaee1fe78ad6ab
:e012145a98558b7d015f3ccf3cacfac44b498980
:ced82078ed2f1dd18f92fb24bf6b760a4f5b178c
:faa844e460702359079f4f15f1f881e87777abb6
:85d6747093886eff44cf10e88d3eb9c88b6eb95d
:adca4c604227da51f7a095c00f343e39dda76d54
:4cadcee4cbcd48d8b8766361bf2e80d593a46536
:4ad17dce13b95c3f6543c3ab56624e321dc1fce8
:6ad77e91d5cc02288d676787c163373f4fefe8fa
:92a9033bbedc303317346dc414914fec5643bd7b
:8403f33f0be1a3653acd05b560f87aa1363d02d7
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:c2ef15fcb07899dcbd91f929c55eaca5676d69a1
:d901210c1e549a645a3a6e781ccc9025e18bd845
:0e75ef48aae0e7254937a3baffabb6f878acfeca
:872fe6020efffe0829a231da5dd4e51f41a4dce3
:d94f52f020f5a21d89ce70745a9bfb78cee38ba4
:e4dd9dee281eb3fc78fc22ac70cf6610988ec88f
:d74c4898c016ca6b449946908f045531c9ab33dc
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:64b9eb7d57cddcd924c522f1332042dbe33de7bc
:e530905cf16f4fe947e40133fa84d64efde1e601
:7b6a44e83e9354b0fb86851c0550fe3396f32ff5
:56de79f6e3883fe69b1a01b8317ee9b85014407b
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:0d159bf3fccb5e74126fb9bdbebc304260420f09
:4d6bc4e9620ce841040974849ce4a39dc4781d33
:7428910de516f492d210b93cc0eb01f8d23681b8
:4b045111479e1ec97d0ef5668482bf808e8dadba
:55433495aa80cf9e1f994ea7e7ae278422ef1ede
:1f19dd0ae78a24ebf6391fbacfb4fd9c38ad1b0b

dso_list:
:/usr/lib/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.i686 (Fedora Project) 1321632331
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.10.1-2.fc16.i686 (Fedora Project) 1321634326
:/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.34.1-1.fc16.i686 (Fedora Project) 1321633871
:/usr/lib/gtk-3.0/modules/libcanberra-gtk3-module.so libcanberra-gtk3-0.28-3.fc16.i686 (Fedora Project) 1321634203
:/usr/lib/libXext.so.6.4.0 libXext-1.2.0-2.fc15.i686 (Fedora Project) 1321632376
:/usr/lib/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.i686 (Fedora Project) 1321632376
:/usr/lib/librsvg-2.so.2.34.1 librsvg2-2.34.1-1.fc16.i686 (Fedora Project) 1321633871
:/lib/librt-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321632323
:/lib/libgcc_s-4.6.2-20111027.so.1 libgcc-4.6.2-1.fc16.i686 (Fedora Project) 1321632299
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.2.1.2-1.fc16.noarch (Fedora Project) 1321633793
:/usr/lib/libpango-1.0.so.0.2904.0 pango-1.29.4-1.fc16.i686 (Fedora Project) 1321632421
:/usr/lib/libpangoft2-1.0.so.0.2904.0 pango-1.29.4-1.fc16.i686 (Fedora Project) 1321632421
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.i686 (Fedora Project) 1321632378
:/usr/share/locale/zh_CN/LC_MESSAGES/gdk-pixbuf.mo gdk-pixbuf2-2.24.0-1.fc16.i686 (Fedora Project) 1321632376
:/usr/lib/gio/modules/libdconfsettings.so dconf-0.10.0-1.fc16.i686 (Fedora Project) 1321634126
:/lib/libgthread-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1321632344
:/usr/lib/gconv/EUC-CN.so glibc-2.14.90-14.i686 (Fedora Project) 1321632323
:/usr/lib/locale/locale-archive glibc-common-2.14.90-14.i686 (Fedora Project) 1321632313
:/usr/lib/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-4.fc16.i686 (Fedora Project) 1321633802
:/usr/lib/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.i686 (Fedora Project) 1321632333
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.i686 (Fedora Project) 1321632377
:/usr/lib/libatk-1.0.so.0.20209.1 atk-2.2.0-2.fc16.i686 (Fedora Project) 1321632346
:/usr/lib/libpangocairo-1.0.so.0.2904.0 pango-1.29.4-1.fc16.i686 (Fedora Project) 1321632421
:/lib/libpthread-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321632323
:/usr/share/locale/zh_CN/LC_MESSAGES/atk10.mo atk-2.2.0-2.fc16.i686 (Fedora Project) 1321632346
:/usr/lib/libSM.so.6.0.1 libSM-1.2.0-2.fc15.i686 (Fedora Project) 1321633804
:/usr/lib/libltdl.so.7.3.0 libtool-ltdl-2.4-7.fc16.i686 (Fedora Project) 1321633806
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1321632375
:/lib/libselinux.so.1 libselinux-2.1.6-4.fc16.i686 (Fedora Project) 1321632326
:/usr/lib/gtk-3.0/modules/libpk-gtk-module.so PackageKit-gtk3-module-0.6.20-1.fc16.i686 (Fedora Project) 1321634454
:/lib/libdl-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321632323
:/usr/lib/libtdb.so.1.2.9 libtdb-1.2.9-10.fc16.i686 (Fedora Project) 1321633812
:/usr/lib/gtk-3.0/3.0.0/immodules/im-ibus.so ibus-gtk3-1.4.0-10.fc16.i686 (Fedora Project) 1321634267
:/usr/lib/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.i686 (Fedora Project) 1321633806
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.7-1.fc16.noarch (Fedora Project) 1321633889
:/usr/lib/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1321633809
:/lib/libc-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321632323
:/usr/lib/gconv/libGB.so glibc-2.14.90-14.i686 (Fedora Project) 1321632323
:/lib/libgobject-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1321632344
:/usr/share/locale/zh_CN/LC_MESSAGES/libc.mo glibc-common-2.14.90-14.i686 (Fedora Project) 1321632313
:/lib/libm-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321632323
:/usr/lib/libvte2_90.so.9.3000.1 vte3-0.30.1-2.fc16.i686 (Fedora Project) 1321634221
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-3.fc16.i686 (Fedora Project) 1321632374
:/usr/share/fonts/dejavu/DejaVuSansMono.ttf dejavu-sans-mono-fonts-2.33-1.fc16.noarch (Fedora Project) 1321634362
:/usr/lib/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.i686 (Fedora Project) 1321632401
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.i686 (Fedora Project) 1321632366
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1321632373
:/lib/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.i686 (Fedora Project) 1321632395
:/lib/libutil-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321632323
:/usr/lib/libXi.so.6.1.0 libXi-1.4.3-3.fc16.i686 (Fedora Project) 1321632378
:/usr/lib/gconv/GB18030.so glibc-2.14.90-14.i686 (Fedora Project) 1321632323
:/lib/libtinfo.so.5.9 ncurses-libs-5.9-2.20110716.fc16.i686 (Fedora Project) 1321632324
:/lib/libz.so.1.2.5 zlib-1.2.5-5.fc16.i686 (Fedora Project) 1321632328
:/lib/libnss_files-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321632323
:/usr/lib/libgdk-3.so.0.200.1 gtk3-3.2.1-1.fc16.i686 (Fedora Project) 1321634200
:/lib/libncurses.so.5.9 ncurses-libs-5.9-2.20110716.fc16.i686 (Fedora Project) 1321632324
:/lib/libcrypt-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321632323
:/usr/lib/libgvfscommon.so.0.0.0 gvfs-1.10.1-2.fc16.i686 (Fedora Project) 1321634326
:/usr/lib/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.i686 (Fedora Project) 1321633870
:/lib/libgmodule-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1321632344
:/lib/libresolv-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321632323
:/usr/lib/libibus-1.0.so.0.400.0 ibus-libs-1.4.0-10.fc16.i686 (Fedora Project) 1321634129
:/usr/share/fonts/wqy-zenhei/wqy-zenhei.ttc wqy-zenhei-fonts-0.9.46-2.fc15.noarch (Fedora Project) 1321764333
:/usr/share/locale/zh_CN/LC_MESSAGES/gtk30.mo gtk3-3.2.1-1.fc16.i686 (Fedora Project) 1321634200
:/usr/lib/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.2.1-2.fc16.i686 (Fedora Project) 1321634284
:/usr/share/vte/termcap-2.90/xterm vte3-0.30.1-2.fc16.i686 (Fedora Project) 1321634221
:/usr/lib/libfreetype.so.6.7.1 freetype-2.4.6-3.fc16.i686 (Fedora Project) 1321632329
:/usr/lib/libbluray.so.0.0.0 libbluray-0.2-0.5.20110710git51d7d60a96d06.fc16.i686 (Fedora Project) 1321633820
:/usr/lib/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.i686 (Fedora Project) 1321632379
:/lib/libuuid.so.1.3.0 libuuid-2.20.1-2.fc16.i686 (Fedora Project) 1321632339
:/usr/lib/libgconf-2.so.4.1.5 GConf2-3.2.3-1.fc16.i686 (Fedora Project) 1321634139
:/usr/lib/gconv/gconv-modules.cache glibc-2.14.90-14.i686 (Fedora Project) 1321632323
:/usr/lib/libICE.so.6.3.0 libICE-1.0.7-1.fc16.i686 (Fedora Project) 1321633803
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-1.fc16.i686 (Fedora Project) 1321632341
:/usr/lib/gconv/GBK.so glibc-2.14.90-14.i686 (Fedora Project) 1321632323
:/usr/lib/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.i686 (Fedora Project) 1321632378
:/lib/libfreebl3.so nss-softokn-freebl-3.12.10-6.fc16.i686 (Fedora Project) 1321632299
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc16.i686 (Fedora Project) 1321632374
:/usr/lib/libcanberra.so.0.2.5 libcanberra-0.28-3.fc16.i686 (Fedora Project) 1321634119
:/usr/share/locale/zh_CN/LC_MESSAGES/gnome-terminal.mo gnome-terminal-3.2.1-2.fc16.i686 (Fedora Project) 1321634433
:/lib/libudev.so.0.12.0 libudev-173-3.fc16.i686 (Fedora Project) 1321633808
:/usr/lib/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.i686 (Fedora Project) 1321632379
:/usr/share/fonts/dejavu/DejaVuSansMono-Bold.ttf dejavu-sans-mono-fonts-2.33-1.fc16.noarch (Fedora Project) 1321634362
:/usr/bin/gnome-terminal gnome-terminal-3.2.1-2.fc16.i686 (Fedora Project) 1321634433
:/usr/lib/libgtk-3.so.0.200.1 gtk3-3.2.1-1.fc16.i686 (Fedora Project) 1321634200
:/usr/share/locale/zh_CN/LC_MESSAGES/glib20.mo glib2-2.30.1-1.fc16.i686 (Fedora Project) 1321632344
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1321632377
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1321632340
:/usr/lib/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1321633809
:/usr/lib/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.i686 (Fedora Project) 1321632402
:/lib/ld-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1321632323
:/lib/libgio-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1321632344
:/lib/libglib-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1321632344
:/usr/lib/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.i686 (Fedora Project) 1321633802
:/usr/lib/libcanberra-gtk3.so.0.1.8 libcanberra-gtk3-0.28-3.fc16.i686 (Fedora Project) 1321634203

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=3
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=432c01ff6dd513b007b81d590000000a-1321765271.83083-66232119
:GNOME_KEYRING_CONTROL=/tmp/keyring-FJpgm2
:IMSETTINGS_MODULE=IBus
:USER=shine
:USERNAME=shine
:MAIL=/var/spool/mail/shine
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/shine/.local/bin:/home/shine/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/shine
:XMODIFIERS=@im=ibus
:GNOME_KEYRING_PID=1077
:LANG=zh_CN.UTF-8
:GDM_LANG=zh_CN.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/shine
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=shine
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-LtqPI4buBH,guid=307c50f6ee64a9eb9829529a00000023
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/shine
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-shine-liIxFi/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1081,unix/unix:/tmp/.ICE-unix/1081
:SSH_AUTH_SOCK=/tmp/keyring-FJpgm2/ssh
:GPG_AGENT_INFO=/tmp/keyring-FJpgm2/gpg:0:1
:DESKTOP_STARTUP_ID=gnome-panel-1273-localhost.localdomain-gnome-terminal-0_TIME51308
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-terminal.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1680

var_log_messages:
:Nov 20 13:44:28 localhost kernel: [ 2632.580481] gnome-terminal[1680]: segfault at d11868 ip 46deb0c5 sp bfb7bfd0 error 4 in libX11.so.6.3.0[46dad000+135000]
:Nov 20 13:44:29 localhost abrt[2859]: saved core dump of pid 1680 (/usr/bin/gnome-terminal) to /var/spool/abrt/ccpp-2011-11-20-13:44:28-1680 (39542784 bytes)
Comment 1 Flos Lonicerae 2011-11-20 00:46:12 EST
Created attachment 534626 [details]
File: event_log
Comment 2 Flos Lonicerae 2011-11-20 00:46:14 EST
Created attachment 534627 [details]
File: gconf_subtree
Comment 3 Flos Lonicerae 2011-11-20 00:46:16 EST
Created attachment 534628 [details]
File: smolt_data
Comment 4 Flos Lonicerae 2011-11-20 00:46:18 EST
Created attachment 534629 [details]
File: maps
Comment 5 Fedora Admin XMLRPC Client 2012-01-10 10:46:46 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2012-01-10 10:49:42 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 abrt-bot 2012-03-30 11:10:25 EDT
Backtrace analysis found this bug to be similar to bug #786545, closing as duplicate. This bug seems to belong to component gtk3, glib2 or libX11.

This comment is automatically generated.

*** This bug has been marked as a duplicate of bug 786545 ***